Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: dpkg

Interfaces

### Description:

Debian package manager.

### Interfaces:

dpkg_domtrans( domain )

##### Summary

Execute dpkg programs in the dpkg domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

dpkg_domtrans_script( domain )

##### Summary

Execute dpkg_script programs in the dpkg_script domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

dpkg_dontaudit_manage_db( domain )

##### Summary

Do not audit attempts to create, read, write, and delete dpkg package database content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

dpkg_exec( domain )

##### Summary

Execute the dkpg in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dpkg_lock_db( domain )

##### Summary

Create, read, write, and delete dpkg lock files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dpkg_manage_db( domain )

##### Summary

Create, read, write, and delete dpkg package database content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dpkg_manage_script_tmp_files( domain )

##### Summary

manage dpkg_script_tmp_t files and dirs

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dpkg_map_script_tmp_files( domain )

##### Summary

map dpkg_script_tmp_t files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dpkg_read_db( domain )

##### Summary

Read dpkg package database content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dpkg_read_pipes( domain )

##### Summary

Read from unnamed dpkg pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dpkg_run( domain , role )

##### Summary

Execute dpkg programs in the dpkg domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

dpkg_rw_pipes( domain )

##### Summary

Read and write unnamed dpkg pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dpkg_script_rw_inherited_pipes( domain )

##### Summary

Inherit and use file descriptors from dpkg scripts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dpkg_script_rw_pipes( domain )

##### Summary

access dpkg_script fifos

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

dpkg_use_fds( domain )

##### Summary

Inherit and use file descriptors from dpkg.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dpkg_use_script_fds( domain )

##### Summary

Inherit and use file descriptors from dpkg scripts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return